%undefine __libtoolize
%define qtdir /usr/lib/qt3
%define unstable 0
%define beta %nil

Name: oooqs
Version: 2.0.3
Release: alt1

Group: Graphical desktop/KDE
Summary: Open Office Quickstarter
License: GPL
URL: http://segfaultskde.berlios.de/index.php?content=oooqs

Requires: openoffice-common kdelibs-gcc_compiled = %__gcc_version_base

Source0: %name-%version%beta.tar.bz2
Patch1: oooqs-2.0.2-alt_default_settings.patch
Patch2: oooqs-2.0.2-autostart_off.patch

# Automatically added by buildreq on Sat Jan 04 2003
#BuildRequires: XFree86-devel XFree86-libs freetype2 gcc-c++ kde-settings kdelibs-devel libGLU libXft libart_lgpl-devel libarts-devel libexpat libfontconfig libjpeg-devel liblcms libmng libpng-devel libqt3-devel libstdc++-devel zlib-devel

BuildRequires: XFree86-devel XFree86-libs freetype2 gcc-c++
BuildRequires: kde-settings kdelibs-devel libGLU libXft libart_lgpl-devel
BuildRequires: libarts-devel libexpat libfontconfig libjpeg-devel liblcms
BuildRequires: libmng libpng-devel libqt3-devel libstdc++-devel zlib-devel
BuildRequires: kdelibs-gcc_compiled = %__gcc_version_base

%description
OpenOffice.org Quickstarter is a small application that runs in the KDE SystemTray.
It is used to quickly start the different OpenOffice.org modules without having to go through the K-Menu.

Authors:
--------
segfaultskde

SuSE series:

%prep
%setup -q -n %name-%version%beta
%patch1 -p1
%patch2 -p1
#perl -pi -e "s|tr2i18n|i18n|" oooqs/prefdialog.cpp

%make -f Makefile.dist ||:

%build
export KDEDIR=%prefix
export QTDIR=%qtdir

%configure --prefix=%prefix \
	            --sysconfdir=%_sysconfdir \
%if %unstable
                    --enable-debug=full \
%else
    		    --disable-debug \
		    --enable-final \
%endif
		    --enable-shared \
		    --disable-static \
		    --disable-qt-embedded \
		    --disable-palm-top \
		    --disable-rpath \
		    --with-gnu-ld \
		    --with-pic \
		    --with-qt-dir=%qtdir \
		    --program-transform-name="" \
		    --with-xinerama \
		    --with-arts=detect

%make_build

%install
%make DESTDIR=%buildroot install

# make menu entry
mkdir -p %buildroot/%_menudir
kdedesktop2mdkmenu.pl %name Office/Accessories %buildroot/%_datadir/applnk/Utilities/%name.desktop %buildroot/%_menudir/%name kde

%find_lang %name

%post
%update_menus
%postun
%clean_menus

%files -f %name.lang
%doc ChangeLog README* TODO AUTHORS
#%_datadir/doc/HTML/en/%name
#%lang(de) %_datadir/doc/HTML/de/%name
#
%_bindir/%name
%_iconsdir/*/*/apps/%name.*
%_datadir/autostart/%name.desktop
%_datadir/applnk/Utilities/%name.desktop
%_menudir/%name

%changelog
* Thu Nov 13 2003 Sergey V Turchin <zerg at altlinux dot org> 2.0.3-alt1
- new version

* Wed Nov 05 2003 Sergey V Turchin <zerg at altlinux dot org> 2.0.2-alt3
- turn off autostart by default

* Wed Nov 05 2003 Sergey V Turchin <zerg at altlinux dot org> 2.0.2-alt2
- fix starting OpenOffice

* Tue Nov 04 2003 Sergey V Turchin <zerg at altlinux dot org> 2.0.2-alt1
- new version

* Mon Feb 10 2003 Sergey V Turchin <zerg@altlinux.ru> 1.0-alt3.rc3
- fix patch0
- add URL

* Wed Jan 22 2003 Sergey V Turchin <zerg@altlinux.ru> 1.0-alt2.rc3
- exclude OOo icons

* Sat Jan 04 2003 Sergey V Turchin <zerg@altlinux.ru> 1.0-alt1.rc3
- 1.0_rc3
- update Russian translation

* Thu Sep 12 2002 Sergey V Turchin <zerg@altlinux.ru> 0.9.5.1-alt4
- rebuild with gcc3.2

* Tue Jun 11 2002 Sergey V Turchin <zerg@altlinux.ru> 0.9.5.1-alt3
- fix new OO placement (/usr/lib) in default configuration

* Tue May 28 2002 Sergey V Turchin <zerg@altlinux.ru> 0.9.5.1-alt2
- removed .desktop from %_datadir/autostart

* Sat May 18 2002 ZerG <zerg@altlinux.ru> 0.9.5.1-alt1
- initial spec
